CVE Vulnerabilities

CVE-2013-1697

Published: Jun 26, 2013 | Modified: Sep 19, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
9.3 HIGH
AV:N/AC:M/Au:N/C:C/I:C/A:C
RedHat/V2
4.3 MODERATE
AV:N/AC:M/Au:N/C:N/I:P/A:N
RedHat/V3
Ubuntu

The XrayWrapper implementation in Mozilla Firefox before 22.0, Firefox ESR 17.x before 17.0.7, Thunderbird before 17.0.7, and Thunderbird ESR 17.x before 17.0.7 does not properly restrict use of DefaultValue for method calls, which allows remote attackers to execute arbitrary JavaScript code with chrome privileges via a crafted web site that triggers use of a user-defined (1) toString or (2) valueOf method.

Affected Software

Name Vendor Start Version End Version
Firefox Mozilla 19.0 19.0
Firefox Mozilla 19.0.1 19.0.1
Firefox Mozilla 19.0.2 19.0.2
Firefox Mozilla 20.0 20.0
Firefox Mozilla 20.0.1 20.0.1
Firefox Mozilla * 21.0
Red Hat Enterprise Linux 5 RedHat firefox-0:17.0.7-1.el5_9 *
Red Hat Enterprise Linux 5 RedHat xulrunner-0:17.0.7-1.el5_9 *
Red Hat Enterprise Linux 5 RedHat thunderbird-0:17.0.7-1.el5_9 *
Red Hat Enterprise Linux 6 RedHat firefox-0:17.0.7-1.el6_4 *
Red Hat Enterprise Linux 6 RedHat xulrunner-0:17.0.7-1.el6_4 *
Red Hat Enterprise Linux 6 RedHat thunderbird-0:17.0.7-1.el6_4 *
Firefox Ubuntu lucid *
Firefox Ubuntu precise *
Firefox Ubuntu quantal *
Firefox Ubuntu raring *
Firefox Ubuntu upstream *
Seamonkey Ubuntu lucid *
Thunderbird Ubuntu devel *
Thunderbird Ubuntu lucid *
Thunderbird Ubuntu precise *
Thunderbird Ubuntu quantal *
Thunderbird Ubuntu raring *
Thunderbird Ubuntu upstream *
Xulrunner-1.9.2 Ubuntu lucid *

References